Push Notification API

post /endpoints

Register device endpoint

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Register a new device for push notifications

Register a device for push notifications.

Parameters:

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)

Request body

Content type: application/x-www-form-urlencoded

FieldTypeRequiredEnumDescription
keystringyesDevice token (Apple) or registration ID (Android)
typeintegeryesDevice type: 30=APNS (Apple), 40=GCM (Google)

Example:

{
  "key": "string",
  "type": 0
}

Responses

200 — Successful registration

Device Registered

{
  "data": {
    "id": "551c5f64-a6d8-425d-b89c-581fac1f0144",
    "key": "123456",
    "user_id": "201",
    "type": 30,
    "created": 1427922788,
    "modified": 1427922788
  }
}

Machine-readable: OpenAPI JSON